commit:     32d387fff034ec8cddb6f7a4880bfb0d9682620d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  1 14:04:43 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec  1 14:49:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32d387ff

xfce-base/libxfce4windowing: Bump to 4.19.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/libxfce4windowing/Manifest               |  1 +
 .../libxfce4windowing-4.19.10.ebuild               | 60 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/xfce-base/libxfce4windowing/Manifest 
b/xfce-base/libxfce4windowing/Manifest
index fb4f5a13a0d1..a4bc0bda8379 100644
--- a/xfce-base/libxfce4windowing/Manifest
+++ b/xfce-base/libxfce4windowing/Manifest
@@ -1,2 +1,3 @@
+DIST libxfce4windowing-4.19.10.tar.bz2 596286 BLAKE2B 
a374c9c08866a2d16bd60e78c071245c03adc7d17c72b7dd74ed7cdc5915b13d8235bb6379104f177b8787d16a4233373d79da830e77acf18144c6dc29e43133
 SHA512 
1522669441e5c71acde347e9f5bc36876acf20482e6effb7b62b6cab2947e7606510cee8d1733ff9e387a048d1d13b57ee2a293f944cb4fd8cfa95b2261501b0
 DIST libxfce4windowing-4.19.3.tar.bz2 535825 BLAKE2B 
cb97589e213e4d07f05c6665399459f2f453a9519483606c5a5e3bd901bebbc361ae044f22596bca86c7aa8e0b23b585b7a41f0170d458d597f07b0a03e08edd
 SHA512 
848b7aeeebdd630c27bac242b5a59d25409b2e8f22d2d8dc95fbfe45357e4f3374e36c151792ddc061b4dcf5d1fdf31f47e76c75b7167b244ae198b0a3b4bca0
 DIST libxfce4windowing-4.19.9.tar.bz2 591569 BLAKE2B 
6960c8db741a49b78ea5090afe917f524f7e4befb519e1e2395a2f6aca693d66664fcf65aaa930fafb97c197193c90f8bfd1e6d8d8af09615a55edb7277ff970
 SHA512 
75567dd958c7c46c68d6827a6b258e2e2be3cab55abb9d29eae11e79476decbd5e95669f319c7a05819b9af049f8013e5c4c1d5b4968b50d627a5d386e137eca

diff --git a/xfce-base/libxfce4windowing/libxfce4windowing-4.19.10.ebuild 
b/xfce-base/libxfce4windowing/libxfce4windowing-4.19.10.ebuild
new file mode 100644
index 000000000000..6ed3c754abc8
--- /dev/null
+++ b/xfce-base/libxfce4windowing/libxfce4windowing-4.19.10.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Unified widget and session management libs for Xfce"
+HOMEPAGE="https://gitlab.xfce.org/xfce/libxfce4windowing/";
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="LGPL-2.1+"
+SLOT="0/4.19.6"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="+introspection wayland X"
+REQUIRED_USE="|| ( wayland X )"
+
+RDEPEND="
+       >=dev-libs/glib-2.72.0
+       >=x11-libs/gtk+-3.24.10:3[X?,introspection?,wayland?]
+       >=x11-libs/gdk-pixbuf-2.42.8[introspection?]
+       wayland? (
+               >=dev-libs/wayland-1.20
+       )
+       X? (
+               >=media-libs/libdisplay-info-0.1.1
+               >=x11-libs/libX11-1.6.7
+               >=x11-libs/libXrandr-1.5.0
+               >=x11-libs/libwnck-3.14:3
+       )
+"
+DEPEND="
+       ${RDEPEND}
+       wayland? (
+               >=dev-libs/wayland-protocols-1.25
+       )
+"
+BDEPEND="
+       >=dev-build/xfce4-dev-tools-4.19.2
+       dev-lang/perl
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       wayland? (
+               >=dev-util/wayland-scanner-1.15
+       )
+"
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable wayland)
+               $(use_enable X x11)
+               # these are not used by make check
+               --disable-tests
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to